<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" type="text/css" href="index.css">
	<title>Bootstrap Flex</title>
</head>
<body>

	<div class="container-fluid text-center">
		<h1>Bootstrap Flex</h1>
		<p>Use the d-flex class to create a flex container and transform direct children into flex items.</p>

		<h2>Centering Elements</h2>

		<!-- Parent Container wiith d-flex class -->

		<div id="d-1" style="height: 500px" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column" >
			<!-- Child elements which will be converted into flex items of the parent element has d-flex class in it-->
			<div class="h-25 p-3 bg-success">Flex Item A</div>
			<div class="h-25 p-3 bg-info">Flex Item B</div>
			<div class="h-25 p-3 bg-warning">Flex Item C</div>
		</div>

		<h2>Flex Row</h2>
		<div class="d-flex bg-dark p-3 flex-row">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-info">Flex Item B</div>
			<div class="p-3 bg-warning">Flex Item C</div>
		</div>

		<h2>Flex Row Reverse</h2>
		<div class="d-flex bg-dark p-3 flex-row-reverse">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-info">Flex Item B</div>
			<div class="p-3 bg-warning">Flex Item C</div>
		</div>

		<h2>Creating Space Between Elements</h2>
		<div class="d-lg-flex bg-dark p-3 justify-content-around">
			<div class="p-3 bg-success">Flex Item A</div>
			<div class="p-3 bg-info">Flex Item B</div>
			<div class="p-3 bg-warning">Flex Item C</div>
		</div>

		<h2>Flex Box with Margin</h2>
		<div class="d-flex bg-dark p-3">
			<div class="p-3 mr-auto bg-success">Flex Item A</div>
			<div class="p-3 bg-info">Flex Item B</div>
			<div class="p-3 bg-warning">Flex Item C</div>
			<div class="p-3 bg-danger">Flex Item D</div>
		</div>

		<h2>Nested Flex Elements</h2>
		<div class="d-lg-flex d-block bg-dark p-3">
			<div class="p-3 bg-success mr-auto">Flex Item A</div>
			<div class="w-50 d-lg-flex d-block justify-content-between">
				<div class="p-3 bg-info">Flex Item B</div>
				<div class="p-3 bg-warning">Flex Item C</div>
				<div class="p-3 bg-danger">Flex Item D</div>
			</div>
		</div>
	</div>




<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>